Skip to main content
`Ctrl`+`K`

# EPSGDSetRestart

Sets the number of vectors of the searching space after restarting and the number of vectors saved from the previous iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetRestart(EPS eps,PetscInt minv,PetscInt plusk)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- minv - number of vectors of the searching subspace after restarting

- plusk - number of vectors saved from the previous iteration

## Options Database Keys

- -eps_gd_minv <minv> - number of vectors of the searching subspace after restarting

- -eps_gd_plusk <plusk> - number of vectors saved from the previous iteration

## Notes

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDGetRestart()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages